Subject: Unable to set external filters...

From: "Michael B. Trausch" <[email-masked]>
Date: Fri, 24 Dec 1999 15:58:42 -0500 (EST)

Hi all,

I have Pine version 4.21, and I have configured a set of external filters
for use with the PGP system for Linux.  However, Pine ignores those
settings.  Here is the options that I have enabled for this configuration:

            [X]  compose-send-offers-first-filter
display-filters          = _LEADING("-----BEGIN PGP")_ /usr/bin/pgp4pine -d -i _TMPFILE_
sending-filters          = /usr/local/bin/pgp4pine -e -i _TMPFILE_ -t /tmp/pgp4pine.tmp -r _RECIPIENTS_

I looked at the help file, and it seems to insist that
compose-send-offers-first-filter is the key part to get the
display-filters and sending-filters to work.  I have a feeling that either
the help file is right and that there is a minor bug in Pine 4.21 (maybe a
code snippet was commented out for debugging and not put back) or that the
options were changed a bit and the help file wasn't updated to reflect
that.  I've gone up and down the Setup --> Configuration screen a few
times now and I'm not seeing any additional options to allow this.  Also,
when I go to send a message, here's what shows up in the final lines of
the screen:

Send message?
 ? Help               Y [Yes]               ^R Background
^C Cancel             N No                   D DSNOpts

After pressing ^X.  No mention of the PGP stuff.

Help, please?

I'm running PINE 4.21, on Red Hat Linux 6.1 (Kernel Version 2.2.12-20),
pgp4pine 1.56, PGP 6.5.2, bash 2.02.  I can't think of anything else that
may help y'all out... ask, and I will tell ya, tho.

Thanks!

	- Mike Trausch

-- 
                              ,-._.-._.-._.-._.-.
                              `-.             ,-'
                                |             |     Michael B. Trausch
 .----------------------.       |             |     [email-masked]
|   I love Linux!  In    |      |             |     AIM:  CSMFSOBW
| fact, so does my mom!  |      |             |     ----------------------
|                        |     ,';".________.-.     Need your computer
|   Wait'll I tell Big   |     ;';_'         )]     upgraded or repaired?
|    Bill that my mom    |    ;             `-|     E-mail me!
|      uses Linux!       `.    `T-            |     ----------------------
 `----------------------._ \    |             |
                          `-;   |             |
                                |..________..-|
                               /\/ |________..|
                          ,'`./  >,(           |
                          \_.-|_/,-/   ii  |   |
                           `."' `-/  .-"""||    |
                            /`^"-;   |    ||____|
                           /     /   `.__/  | ||
                                /           | ||
                                            | ||

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------